[![Shopigo](https://www.shopigo.ch/wp-content/uploads/2018/08/github-shopigo-logo.png)](https://www.shopigo.ch)

# Magento 2 Swiss Post extension by [Shopigo](https://www.shopigo.ch)

This extension makes Swiss Post shipping in Magento smart and easy, by implementing three new shipping methods:
- SwissPost Economy
- SwissPost Priority
- SwissPost Express

## Requirements

Magento Open Source Edition 2.2.x.

## Installation

## Method 1 - Installing via composer

- Switch to your Magento project root
- Run `composer require shopigo/magento2-extension-swiss-post`

## Method 2 - Installing using archive

- Download [ZIP Archive](https://github.com/shopigo/magento2-extension-swiss-post/archive/master.zip)
- Switch to your Magento project root
- Create folder `app/code/Shopigo/SwissPost`
- Extract zip into path

### Enable extension

- Switch to your Magento project root
- Run the following commands to enable the module and clear static contents generated by Magento:
```
php bin/magento module:enable Shopigo_SwissPost
php bin/magento setup:upgrade
php bin/magento setup:di:compile
php bin/magento setup:static-content:deploy
```

## How to use it

- Log into your Magento back-office
- Go to the menu "Stores > Configuration > Sales > Shipping Methods"
- Expand the section "Swiss Post – Economy", "Swiss Post – Priority" or "Swiss Post – Express"
- Set the parameter "Enabled" to "Yes"
- Flush Magento caches from the menu "System > Tools > Cache Management"

## Screenshots

### Shipping methods in the checkout page

![Shipping methods in the checkout page](https://www.shopigo.ch/wp-content/uploads/2018/10/github-extension-swiss-post-checkout.jpg)

### Add a tracking number

![Add a tracking number](https://www.shopigo.ch/wp-content/uploads/2018/10/github-extension-swiss-post-shipping-add-track.jpg)

### Track a shipment

![Track a shipment](https://www.shopigo.ch/wp-content/uploads/2018/10/github-extension-swiss-post-shipment.jpg)

### Parcel tracking

![Parcel tracking](https://www.shopigo.ch/wp-content/uploads/2018/10/github-extension-swiss-post-tracking.jpg)

### Settings

![Settings](https://www.shopigo.ch/wp-content/uploads/2018/10/github-extension-swiss-post-settings.jpg)

## Support

If you have any issues, open a bug report in GitHub's [issue tracker](https://github.com/shopigo/magento2-extension-swiss-post/issues).

## Change logs

**Version 1.0.0** (2018-10-09)
- First version

## License

The code is licensed under [Open Software License ("OSL") v. 3.0](http://opensource.org/licenses/osl-3.0.php).

<br/>Enjoy!<br/>
[Shopigo](https://www.shopigo.ch)